# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.

if( $OS_HOME = $ENV{'OS_HOME'} )
{
    $os = $ENV{'OS'} || 'default';

    if( $os eq 'Windows_NT' )
    {
	$wind_base        = $ENV{'WIND_BASE'};
	$wind_host_type   = 'x86-win32';
	$ENV{'PATH'}      = "$wind_base/../gnu/3.3.2-vxworks60/x86-win32/bin;$wind_base/host/$wind_host_type/bin;$ENV{'PATH'}";
    }
    else
    {
	$rosert_home      = $ENV{'ROSERT_HOME'};
	chomp( $host      = `$rosert_home/bin/machineType` );

	$wind_base        = "$OS_HOME/wrs/Tornado_AE";
	if( $host eq 'sun5' )
	{
	    $wind_host_type   = 'sun4-solaris2';
	}

	$ENV{'WIND_BASE'} = "$wind_base";
	$ENV{'PATH'}      = "$wind_base/host/$wind_host_type/bin:$ENV{'PATH'}";

	if( ! $ENV{'LD_LIBRARY_PATH'} )
	{
	    $ENV{'LD_LIBRARY_PATH'} = "$wind_base/host/$wind_host_type/lib";
	}
	else
	{
	    $ENV{'LD_LIBRARY_PATH'} = "$ENV{'LD_LIBRARY_PATH'}:"
				    . "$wind_base/host/$wind_host_type/lib";
	}
    }

    $ENV{'WIND_HOST_TYPE'} = "$wind_host_type";
}

$preprocessor = "ccppc -DPRAGMA -E -P >MANIFEST.i";


$target_base = 'vxWorks60';


$supported = 'Yes';
