/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTVAsciiDecoding_h__
#define __RTVAsciiDecoding_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTAsciiDecoding_h__
#include <RTAsciiDecoding.h>
#endif

#if OBJECT_DECODE

class RTVAsciiDecoding : public RTAsciiDecoding
{
public:
    explicit    RTVAsciiDecoding( RTIBuffer * );
    virtual     ~RTVAsciiDecoding( void );

    virtual int get( void **, const RTObject_class ** );

private:
    // unavailable methods
    RTVAsciiDecoding( const RTVAsciiDecoding & );
    RTVAsciiDecoding & operator=( const RTVAsciiDecoding & );
}; //lint !e1712

#endif // OBJECT_DECODE

#endif // __RTVAsciiDecoding_h__
