/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActor.h>
#include <RTActorRef.h>
#include <RTController.h>

int RTActorRef::destroy( void )
{
    int       result = 0;
    RTActor * actor;

    for( int i = size(); --i >= 0; )
	if( (actor = (*this)[ i ]) != (RTActor *)0 )
	    result += destroy( actor );

    return result;
}
