/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#include <RTDiag.h>
#include <RTMain.h>
#include <RTMessage.h>
#include <RTSpecialSignals.h>

void RTController::abort( void )
{
    RTMessage * msg = newMsg();

    if( msg == (RTMessage *)0 )
	RTDiag::panic( "no memory for shutdown" );
    else
    {
	msg->setData( (const void *)0, (const RTObject_class *)0 );
	msg->setSignal( RTDestroySignal );
	msg->setPriority( Synchronous );
	msg->setDestination( (RTActor *)0, (RTProtocol *)0, 0 );

	RTMain::controller()->receive( msg, this );
    }
}
