/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTExternal.h>
#include <RTMutex.h>

// This mutex prevents a race condition between calls to disable and raise.
// More efficient implementations may be available in some configurations.
static RTMutex critical;

RTMessage * External::Base::unload( void )
{
    critical.enter();

    RTMessage * oldMsg = msg;

    msg = (RTMessage *)0;

    critical.leave();

    return oldMsg;
}
