/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTActorId.h>
#include <RTActorRef.h>
#include <RTFrame.h>

RTActorId ** Frame::Base::incarnationsOf( const RTActorRef & reference )
{
    int          i           = reference.size() + 2;
    RTActorId ** returnValue = new RTActorId * [ (unsigned)i ];

    returnValue[--i] = (RTActorId *)0;
    while( --i > 0 )
	returnValue[i] = new RTActorId( reference.at( i ) );

    returnValue[0] = (RTActorId *)0;

    return returnValue;
}
