/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTMessage.h>

RTMessage::RTMessage( const RTMessage & other )
    : next          ( (RTMessage            *)0 )
#if OTRTSDEBUG != DEBUG_NONE
    , _sendPortId   (                         0 )
    , _sendPortIndex(                         0 )
    , _sendProbeId  (                        -1 )
    , _sendTime     (                           )
#endif
    , signal        (                         0 )
    , priority      (                         0 )
    , _flags        (                         0 )
    , _receiver     ( (RTActor              *)0 )
    , _port         ( (RTProtocol           *)0 )
    , _portIndex    (                         0 )
    , _type         ( (const RTObject_class *)0 )
{ //lint !e1927
    data = (void *)0;

    *this = other;
}
