/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTEncoding.h>
#include <RTObject_class.h>

int RTenum_encode( const RTObject_class * type,
		   const void           * source,
		   RTEncoding           * coding )
{
    int value;

    if( type->_size == (RTFieldOffset)sizeof( int ) )
	value = *(const int *)source;

    else if( type->_size == (RTFieldOffset)sizeof( short ) )
	value = (int)*(const short *)source;

    else if( type->_size == (RTFieldOffset)sizeof( char ) )
	value = (int)*(const char *)source;

    else
	return 0;

    return coding->put_enum( value, type->_num_fields, type->_fields );
}
