/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDaemon.h>
#include <RTObserver.h>

void RTObserver::cmdDestroyDaemon( int daemonNr )
{
    if( setDaemon( daemonNr ) == 0 )
	return;

    (void)delInfo( (RTDaemonInfo *)0 );

    delete daemon;
    daemon = (RTDaemon *)0;

    if( daemonNr >= 0 )
    {
	daemons[ daemonNr ] = (void *)0;
	daemons.resize( 0 );
    }
    else
	superDaemon = (RTDaemon *)0;
}
