/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTController.h>
#include <RTTimerActor.h>
#include <RTTiming.h>

void Timing::Base::adjustTimeBegin( void )
{
    RTTimerActor * timerActor;

    if( (timerActor = RTTimerActor::soleInstance()) == (RTTimerActor *)0 )
    {
	context()->setError( RTController::noConnect,
			     RTController::TimerInform,
			     this,
			     (const void *)0 );
    }
    else
    {
	timerActor->adjustTimeBegin();
    }
}
