/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiagStream.h>

#if USE_WINCE_RTCONSOLE

#include <RTWinCE.h>

RTDiagStream & RTDiagStream::write( const char * string )
{
    RTConsole::writeString( string );

    return *this;
}

#else

#include <RTstdio.h>

RTDiagStream & RTDiagStream::write( const char * string )
{
    fputs( string, stderr );

    return *this;
}

#endif // USE_WINCE_RTCONSOLE
