# Licensed Materials - Property of IBM                       
# Component IBM Rational ROSE_RT BUILD : TARGET_RTS                 
# Copyright IBM Corporation 1999, 2008. All Rights Reserved.      
# U.S. Government Users Restricted Rights -  Use, duplication or    
# disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.



if( $OS_HOME = $ENV{'OS_HOME'} )
{
    $os = $ENV{'OS'} || 'default';

    if( $os eq 'Windows_NT' )
    {
	$USR_MRI     = $ENV{'USR_MRI'};
	$ENV{'PATH'} = "$USR_MRI/bin;$ENV{'PATH'}";
    }
    else
    {
	$os_name = `uname -s`; # get OS type
	chomp( $os_name );
	if( $os_name eq 'SunOS' )
	{
	    $USR_MRI = "$OS_HOME/spectra/solaris-ppc603-4.AB";
	}
	elsif( $os_name eq 'HP-UX' )
	{
	    $USR_MRI = "$OS_HOME/spectra/hp-ppc603-4.AB";
	}
	else
	{
	    print STDERR "`$os_name' is not a supported host type\n";
	    exit 1;
	}

	$ENV{'USR_MRI'}     = "$USR_MRI";
	$ENV{'SPECTRA'}     = "$USR_MRI/spappc";
	$ENV{'MRI_PPC_BIN'} = "$USR_MRI/bin";
	$ENV{'MRI_PPC_LIB'} = "$USR_MRI/lib";
	$ENV{'MRI_PPC_INC'} = "$USR_MRI/include/mccppc";
	$ENV{'PATH'}        = "$USR_MRI/bin:$ENV{'PATH'}";
    }
}

$preprocessor = "cccppc -E >MANIFEST.i";
$include_opt  = '-J';
$target_base  = 'VRTX3';
$supported    = 'No';
