/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTIBuffer_h__
#define __RTIBuffer_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTConfig_h__
#include <RTConfig.h>
#endif

class RTIBuffer
{
public:
		RTIBuffer( void );
    virtual     ~RTIBuffer( void );

    virtual int get( char & ) = 0;

private:
    // unavailable methods
    RTIBuffer( const RTIBuffer & );
    RTIBuffer & operator=( const RTIBuffer & );
};

#endif // __RTIBuffer_h__
