/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTUnknownObject_h__
#define __RTUnknownObject_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTObject_class_h__
#include <RTObject_class.h>
#endif

#if OBJECT_DECODE

struct RTUnknownObject
{
    char * signature; // name of decoding class
    int    length;
    char * code;

    static const RTObject_class classData;

#define RTType_RTUnknownObject ( RTUnknownObject::classData )
};

#endif // OBJECT_DECODE

#endif // __RTUnknownObject_h__
