/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDictionary.h>

RTDictionary & RTDictionary::operator=( const RTDictionary & other )
{
    if( this != &other )
    {
	unsigned i;

	for( i = _size; i-- > 0U; )
	{
	    RTAssociation * assoc = &_contents[ i ];

	    if( assoc->key == (char *)0 || assoc->key == (char *)assoc )
		continue;

	    delete [] assoc->key;
	    assoc->key = (char *)assoc;
	}

	for( i = other._size; i-- > 0U; )
	{
	    const RTAssociation * assoc = &other._contents[ i ];

	    if( assoc->key == (char *)0 || assoc->key == (const char *)assoc )
		continue;

	    (void)atPut( assoc->key, assoc->value );
	}

    }
    return *this;
}
