/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTEventInfo.h"
#endif

#include <RTEventInfo.h>
#include <RTMessage.h>

RTEventInfo::~RTEventInfo( void )
{
    delete [] chainStrOrigin;
    delete [] stateStrTarget;
    delete [] portName;
    delete    message;
    delete [] varName;
    delete [] varValue;
    delete [] histStrHist;
    delete [] histStrCurr;

#ifdef _lint
    actor         = (const RTActor       *)0;
    info          = (const RTActor_class *)0;
    chainStrTrans = (const char          *)0;
    signalName    = (const char          *)0;
    prev          = (RTEventInfo         *)0;
    next          = (RTEventInfo         *)0;
#endif
}
