/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifdef PRAGMA
#pragma implementation "RTObserver.h"
#endif

#include <RTObserver.h>
#include <RTTcpSocket.h>

RTObserver::~RTObserver( void )
{
    for( int iDaemon = 0; iDaemon < daemons.size(); ++iDaemon )
	cmdDestroyDaemon( iDaemon );

    cmdDestroyDaemon( -1 ); // super daemon

    cmdCommand( "resume" );

    delete socket;
    delete [] inBuffer;

    debugger    = (RTDebugger *)0;
    daemon      = (RTDaemon   *)0;
    superDaemon = (RTDaemon   *)0;
}
