/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTGlobalSignal.h>
#include <RTProtocol.h>
#include <RTProtocolDescriptor.h>

int RTProtocol::getLocalSignal( const RTGlobalSignal & signal ) const
{
    const RTProtocolDescriptor * protocol = _info->protocol;

    return protocol != (const RTProtocolDescriptor *)0
		? (*protocol->getLocalSignal)( signal )
		: 0;
}
