/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTTime.h>

int RTTime::operator==( const RTDataObject & _rhs ) const
{
    const RTTime & rhs = *(const RTTime *)&_rhs;

    return RTSequence::operator==( _rhs ) != 0
	&& ( hours   == rhs.hours   )     != 0
	&& ( minutes == rhs.minutes )     != 0
	&& ( seconds == rhs.seconds )     != 0;
}
