/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTGlobalSignal.h>
#include <RTSignalDescriptor.h>
#include <RTTiming.h>

static const RTSignalDescriptor Timing_Signals[] =
{
    {
	"timeout",
	(const RTObject_class *)0,
	Timing::Base::rti_timeout
    }
};

const RTProtocolDescriptor Timing::Base::rt_class =
{
    (const RTProtocolDescriptor *)0,
    &rt_class,
    "Timing",
    (RTVersionId)0,
    1, Timing_Signals
#if RTRUNTIMEBC
  , &RTProtocolDescriptor::getUnknownGlobalSignal
  , &RTProtocolDescriptor::getUnknownLocalSignal
#endif
};
