/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTQFilter_h__
#define __RTQFilter_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTConfig_h__
#include <RTConfig.h>
#endif

class RTMessage;

class RTQFilter
{
public:
    RTS_INLINE   RTQFilter( void );
    virtual      ~RTQFilter( void );
    virtual int  select( RTMessage & ) = 0;
    virtual void accept( RTMessage & ) = 0;

private:
    // unavailable methods
    RTQFilter( const RTQFilter & );
    RTQFilter & operator=( const RTQFilter & );
};

#if RTS_INLINES
#include <RTQFilter.inl>
#endif

#endif // __RTQFilter_h__
