/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTTimerController_h__
#define __RTTimerController_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTPeerController_h__
#include <RTPeerController.h>
#endif

class RTTimerController : public RTPeerController
{
public:
    explicit        RTTimerController( RTDebugger * );
    virtual         ~RTTimerController( void );

    virtual void    mainLoop( void );
    virtual void    printStats( void ) const;

protected:
    virtual void    waitForEvents( void );

private:
    // unavailable methods
    RTTimerController( const RTTimerController & );
    RTTimerController & operator=( const RTTimerController & );
}; //lint !e1712

#endif // __RTTimerController_h__
