/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#include <RTDiag.h>
#include <RTMutex.h>
#include <RTVrtx.h>

#include <vrtxil.h>

void RTMutex::enter( void )
{
    int err;

    sc_mpend( mutex, VrtxNoTimeout, &err );

    if( err != RET_OK )
	RTDiag::panic( "sc_mpend" );
}
