/*
 * Licensed Materials - Property of IBM                               
 * Component IBM Rational ROSE_RT BUILD : TARGET_RTS                  
 * Copyright IBM Corporation 1999, 2008. All Rights Reserved.       
 * U.S. Government Users Restricted Rights -  Use, duplication or     
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */

#ifndef __RTVrtx_h__
#define __RTVrtx_h__ included

#ifndef __RTConfig_h__
#include <RTConfig.h>
#endif

// Constants that ought to be defined in some VRTX header file.

enum RTVrtxConsts
{
    // sc_fdelete and sc_mdelete
    VrtxFailIfPended    =  0,
    VrtxReadyPended     =  1,

    // sc_fpend
    VrtxPendAny         =  0,
    VrtxPendAll         =  1,

    // sc_tecreate
    VrtxAnyTaskId       = -1, // VRTX to assign task ID
    VrtxJustPointer     =  0, // initial argument is just a pointer

    // General
    VrtxNoTimeout       =  0
};

#endif // __RTVrtx_h__
